Create a collection
POST
/collection
Requires collection:create.
Request Body
descriptionstring
fieldsobject[]
descriptionstring
idstring
indexedboolean
keystring
namestring
options
requiredboolean
typestring
namestring
Response Body
access_summary
access_viastring
can_manageboolean
can_revoke_shareboolean
can_see_sharesboolean
can_shareboolean
can_transferboolean
can_useboolean
created_atstring
descriptionstring
field_countinteger
hidden_field_keysstring[]
idstring
namestring
owner_avatar_urlstring,null
The person's picture: their stored profile picture, else a Gravatar URL (d=404, 96px) derived from their email (the address itself is not sent), else null. Draw initials when it is null or the image fails to load.
owner_display_namestring,null
owner_user_idstring
reference_countsobject
automationsinteger
dashboardsinteger
row_scope_fieldstring,null
row_visibilitystring
Possible values:
allown
schemaobject
fieldsobject[]
8 properties
descriptionstring
idstring
indexedboolean
keystring
namestring
options
requiredboolean
typestring
primary_fieldstring
row_scopeobject,null
unique_keyarray,null
versioninteger
schema_versioninteger
statsobject,null
as_ofstring,null
bytesinteger
data_versioninteger
row_countinteger
updated_atstring
curl -X POST 'https://api.elaichi.ai/collection' \
-H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
-H 'Content-Type: application/json' \
-d '{"name":"your_name","description":"your_description","fields":[]}'const body = {
"name": "your_name",
"description": "your_description",
"fields": []
};
const response = await fetch('https://api.elaichi.ai/collection', {
method: 'POST',
headers: {
'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import os
import requests
url = "https://api.elaichi.ai/collection"
headers = {
"Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
"Content-Type": "application/json",
}
payload = {
"name": "your_name",
"description": "your_description",
"fields": []
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())